﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows;
using System.Diagnostics;

namespace XamDataCardsButton
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        DataCollection dc = new DataCollection();
        public MainWindow()
        {
            InitializeComponent();
            LayoutRoot.DataContext = dc.DataItems;
        }        
    }

    public class DataCollection
    {
        public ObservableCollection<Data> DataItems 
        {
            get
            {
                return new ObservableCollection<Data>
                {
                    new Data { EncabFlag = 1, Name = "John"},
                     new Data { EncabFlag = 2, Name = "Jill"},
                      new Data { EncabFlag = 0, Name = "Benny"},
                       new Data { EncabFlag = 1, Name = "Kim"}
                };
            }
        }

    }

    public class Data
    {
        public int EncabFlag { get; set; }
        public string Name { get; set; }
    }

    public class ColapseButtonDisp : IValueConverter
    {

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {           
            int EncabFlag = 0;
           
            if (value != null)
            {
               
                if (int.TryParse(value.ToString(), out EncabFlag))
                {
                    switch (EncabFlag)
                    {
                        case 1:
                            return "Collapsed";
                        default:
                            return "Visible";
                    }
                }
            }
            return null;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            //  throw new NotImplementedException();
            return value;
        }

    }
    public class HeaderColorConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        { 
            int EncabFlag = 0;

            if (int.TryParse(value.ToString(), out EncabFlag))
            {
                switch (EncabFlag)
                {
                    case 1:
                        return "Red";
                    default:
                        return "Green";
                }
            }

            return null;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            //  throw new NotImplementedException();
            return value;
        }

    }


}
